
from __future__ import absolute_import
from __future__ import print_function
import abc
import six

__copyright__ = 'Copyright (c) 2017 VMware, Inc. All rights reserved. VMware Confidential'

"""
patch_task.py is the base class for the CLS patch tasks.
"""


class PatchTask(six.with_metaclass(abc.ABCMeta, object)):
    @abc.abstractmethod
    def run(self):
        return 'Need to implement this method in the sub classes '

    def getEnv(self):
        print("get env")
